/**
 * Created by CSL on 2017-07-04.
 */

// Tab panes 下有多个Spread时，相互之间不能正确显示。改成一个Spread下多个Sheet。
var subSpread = sheetCommonObj.createSpread($("#subSpread")[0], 7);


// 工料机
gljOprObj.initSheet(subSpread.getSheet(0));
//sheetCommonObj.shieldAllCells(subSpread.getSheet(0), gljOprObj.setting);

// assistOprObj.initSheet(subSpread.getSheet(1));
// sheetCommonObj.shieldAllCells(subSpread.getSheet(1), assistOprObj.setting);
//附注条件
gljOprObj.initCoeSheet(subSpread.getSheet(2));

//辅助定额

gljOprObj.initAssSheet(subSpread.getSheet(1));

$("#linkGLJ").click(function(){
    subSpread.setActiveSheetIndex(0);

    // for test
    //subSpread.getActiveSheet().setValue(0, 0, "工料机");
});

$("#linkFZDE").click(function(){
    subSpread.setActiveSheetIndex(1);
    // for test
  //  subSpread.getActiveSheet().setValue(0, 0, "辅助定额");
});

$("#linkFZTJ").click(function(){
    subSpread.setActiveSheetIndex(2);
    // for test
    //subSpread.getActiveSheet().setValue(0, 0, "附注条件");
});

$("#linkGCLMX").click(function(){
    subSpread.setActiveSheetIndex(3);
    // for test
    subSpread.getActiveSheet().setValue(0, 0, "工程量明细");
});

$("#linkJSCX").click(function(){
    subSpread.setActiveSheetIndex(4);
    // for test
    subSpread.getActiveSheet().setValue(0, 0, "计算程序");
});

$("#linkFXSM").click(function(){
    subSpread.setActiveSheetIndex(5);
    // for test
    subSpread.getActiveSheet().setValue(0, 0, "分项说明");
});

$("#linkDESM").click(function(){
    subSpread.setActiveSheetIndex(6);
    // for test
    subSpread.getActiveSheet().setValue(0, 0, "定额说明");
});